# module Devise::Models::Serializable::ClassMethods

### Public Instance Methods

blacklist_keys() click to toggle source

Returns keys that should be removed when serializing the record.

    # File lib/devise/models/serializable.rb, line 40
    def blacklist_keys
      @blacklist_keys ||= to_adapter.column_names.map(&:to_s) - accessible_attributes.to_a.map(&:to_s)
    end

blacklist_keys?() click to toggle source

Return true if we can retrieve blacklist keys from the record.

    # File lib/devise/models/serializable.rb, line 35
    def blacklist_keys?
      @has_except_keys ||= respond_to?(:accessible_attributes) && !accessible_attributes.to_a.empty?
    end